<?php

namespace Garradin\Plugin\Materiels;

use Garradin\DB;

class Equipment
{
  protected $columns_order = array(
    'id',
    'category_id',
    'stock_number',
    'designation',
  );

  public function add($data = [])
	{
    $db = DB::getInstance();
		$db->insert('plugin_materiels_equipment', $data);
    return $db->lastInsertRowId();
	}

  public function edit($id, $data = [])
	{
    $db = DB::getInstance();
    $db->update('plugin_materiels_equipment', $data, $db->where('id', $id));
	}

  public function get($id)
  {
    return DB::getInstance()->first('SELECT * FROM plugin_materiels_equipment WHERE id = ?;', $id);
  }

  public function listAll()
	{
		return DB::getInstance()->get('SELECT * FROM plugin_materiels_equipment ORDER BY designation;');
	}
}
