<?php

namespace Garradin;

if ($plugin->needUpgrade())
{
	$plugin->upgrade();
}

use Garradin\Plugin\Materiels\Equipment;
use Garradin\Plugin\Materiels\Category;

require_once __DIR__ . '/_inc.php';

$eqmt = new Equipment;
$cat = new Category;

$eqmts = $eqmt->listAll();

foreach ($eqmts as $key => $value) {
	$eqmts[$key]->category = $cat->get($value->category_id);
}

$tpl->assign(compact('eqmts'));

$tpl->display(PLUGIN_ROOT . '/templates/index.tpl');
